# Uses of Interface
org.eclipse.jface.action.IStatusLineManager

Packages that use IStatusLineManager
Package
Description
org.eclipse.jface.action
Provides support for shared UI resources such as menus, tool bars, and status lines.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.application
Application-level APIs for configuring and controling the Eclipse Platform User Interface.
org.eclipse.ui.internal
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.
org.eclipse.ui.views.properties
Provides the standard Property Sheet view which displays custom properties of the active workbench part's current selection.

## Uses of IStatusLineManager in org.eclipse.jface.action

Classes in org.eclipse.jface.action that implement IStatusLineManager
Modifier and Type
Class
Description
`class`
`StatusLineManager`
A status line manager is a contribution manager which realizes itself and its items in a status line control.
`class`
`SubStatusLineManager`
A `SubStatusLineManager` is used to define a set of contribution items within a parent manager.
Methods in org.eclipse.jface.action that return IStatusLineManager
Modifier and Type
Method
Description
`protected final IStatusLineManager`
SubStatusLineManager.`getParentStatusLineManager()`
Constructors in org.eclipse.jface.action with parameters of type IStatusLineManager
Modifier
Constructor
Description
``
`SubStatusLineManager(IStatusLineManager mgr)`
Constructs a new manager.

## Uses of IStatusLineManager in org.eclipse.ui

Methods in org.eclipse.ui that return IStatusLineManager
Modifier and Type
Method
Description
`IStatusLineManager`
IActionBars.`getStatusLineManager()`
Returns the status line manager.
`IStatusLineManager`
SubActionBars.`getStatusLineManager()`
Returns the status line manager.

## Uses of IStatusLineManager in org.eclipse.ui.application

Methods in org.eclipse.ui.application that return IStatusLineManager
Modifier and Type
Method
Description
`IStatusLineManager`
IActionBarConfigurer.`getStatusLineManager()`
Returns the status line manager of a workbench window.
Methods in org.eclipse.ui.application with parameters of type IStatusLineManager
Modifier and Type
Method
Description
`protected void`
ActionBarAdvisor.`fillStatusLine(IStatusLineManager statusLine)`
Fills the status line with the main status line contributions for the window.

## Uses of IStatusLineManager in org.eclipse.ui.internal

Methods in org.eclipse.ui.internal that return IStatusLineManager
Modifier and Type
Method
Description
`IStatusLineManager`
WWinActionBars.`getStatusLineManager()`
Returns the status line manager.

## Uses of IStatusLineManager in org.eclipse.ui.part

Methods in org.eclipse.ui.part with parameters of type IStatusLineManager
Modifier and Type
Method
Description
`void`
EditorActionBarContributor.`contributeToStatusLine(IStatusLineManager statusLineManager)`
Contributes to the given status line.
`void`
Page.`makeContributions(IMenuManager menuManager, IToolBarManager toolBarManager, IStatusLineManager statusLineManager)`
This method exists for backward compatibility.

## Uses of IStatusLineManager in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor that return IStatusLineManager
Modifier and Type
Method
Description
`protected IStatusLineManager`
AbstractTextEditor.`getStatusLineManager()`
Returns the status line manager of this editor.
Methods in org.eclipse.ui.texteditor with parameters of type IStatusLineManager
Modifier and Type
Method
Description
`void`
BasicTextEditorActionContributor.`contributeToStatusLine(IStatusLineManager statusLineManager)`
Constructors in org.eclipse.ui.texteditor with parameters of type IStatusLineManager
Modifier
Constructor
Description
``
`MarkRegionTarget(ITextViewer viewer, IStatusLineManager manager)`
Creates a MarkRegionTaret.

## Uses of IStatusLineManager in org.eclipse.ui.views.properties

Methods in org.eclipse.ui.views.properties with parameters of type IStatusLineManager
Modifier and Type
Method
Description
`void`
PropertySheetPage.`makeContributions(IMenuManager menuManager, IToolBarManager toolBarManager, IStatusLineManager statusLineManager)`